---
title: Platform Engineering
status: Completed
category: ["methodology", "platform"]
---

Platform engineering is the art of building tools and processes that empower software developers.  
It's like creating a self-service station specifically designed to meet developers' needs throughout the 
software creation journey. By providing these tools and workflows, platform engineering helps developers 
to work faster and more efficiently.

## Problem it addresses

Platform engineering tackles the challenge of slow and inefficient software development. 
In the past, developers often spent a significant amount of time on repetitive tasks like setting up 
environments or configuring tools. Platform engineering streamlines these processes, 
allowing developers to focus on the core task of writing innovative code. 

## How it helps

Platform engineering addresses the inefficiencies of software development by providing developers with 
a pre-built toolkit. This toolkit, often built on top of infrastructure as a service ([IaaS](/infrastructure-as-a-service/)) or [bare metal](/bare-metal-machine/), 
includes tools and automated processes that streamline common tasks. By abstracting away the complexities of 
infrastructure management, platform engineering allows developers to focus on writing innovative code
