---
title: कुबेरनेट्स (Kubernetes)
status: Completed
category: प्रौद्योगिकी
tags: ["infrastructure", "fundamental", ""]
---

## यह क्या है

कुबेरनेट्स, जिसे अक्सर K8s के रूप में संक्षिप्त किया जाता है, एक ओपन सोर्स कंटेनर ऑर्केस्ट्रेटर है।
यह एक "डेटासेंटर ऑपरेटिंग सिस्टम" के रूप में कार्य करते हुए आधुनिक इन्फ्रा़स्ट्रक्चर पर कंटेनरीकृत एप्लीकेशन के जीवनचक्र को स्वचालित करता है जो एक [वितरित प्रणाली](/distributed-systems/) में एप्लीकेशन का प्रबंधन करता है।

कुबेरनेट्स [कंटेनर](/container/) को [नोड्स](/nodes/) के एक [क्लस्टर](/cluster/) में शेड्युल करता है। कंटेनरीकृत एप्लीकेशन को चलाने के लिए लोड बैलेंसर, सतत (persistent) स्टोरेज, आदि जैसे कई इन्फ्रा़स्ट्रक्चर के संसाधनों को बंडल करता है।

कुबेरनेट्स स्वचालन और विस्तारणीयता को सक्षम करता है, जिससे उपयोगकर्ता पुनरुत्पादित तरीके से घोषणात्मक रूप से (नीचे देखें) एप्लीकेशन को तैनात कर सकते हैं।
Kubernetes अपने [API](/application-programming-interface/) के माध्यम से एक्स्टेंसिबल है, अनुभवी कुबेरनेट्स चिकित्सकों को उनकी आवश्यकताओं के अनुसार इसकी स्वचालन क्षमताओं का लाभ उठाने की अनुमति देता है।

## समस्या

इन्फ्रास्ट्रक्चर ऑटोमेशन और घोषणात्मक कॉन्फ़िगरेशन प्रबंधन लंबे समय से महत्वपूर्ण अवधारणाएं रही हैं, लेकिन [क्लाउड कंप्यूटिंग](/cloud-computing/) ने लोकप्रियता हासिल की है, इसलिए वे अधिक महत्वपूर्ण हो गए हैं।
जैसे-जैसे कम्प्यूट संसाधनों की मांग बढ़ती है और संगठनों को कम इंजीनियरों के साथ अधिक आयोजन करने की क्षमता प्रदान करने की आवश्यकता होती है, उस मांग को पूरा करने के लिए नई तकनीकों और कार्य विधियों की आवश्यकता होती है।

## समाधान

पारंपरिक [इन्फ्रास्ट्रक्चर ऐज कोड](/infrastructure-as-code/) टूल्स के समान, कुबेरनेट्स स्वचालन के साथ मदद करता है लेकिन कंटेनरों के साथ काम करने का फायदा है।
[वर्चुअल मशीन](/virtual-machine/) या भौतिक मशीनों की तुलना में कंटेनर कॉन्फ़िगरेशन बहाव के प्रति अधिक प्रतिरोधी होते हैं।

इसके अतिरिक्त, कुबेरनेट्स घोषणात्मक रूप से काम करता है, जिसका अर्थ है कि ऑपरेटरों को मशीन को निर्देश देने के बजाय कि कुछ कैसे करना है, वे वर्णन करते हैं - आम तौर पर मेनिफेस्ट फाइलों के रूप में (उदाहरण के लिए, YAML) - बुनियादी ढांचा कैसा दिखना चाहिए।
कुबेरनेट्स तब "कैसे" का ख्याल रखता है।
इसके परिणामस्वरूप कुबेरनेट्स इन्फ्रा़स्ट्रक्चर के साथ कोड के रूप में बेहद संगत है।

कुबेरनेट्स [स्वयं ठीक](/self-healing/) होने की शमता रखता है।
क्लस्टर की वास्तविक स्थिति हमेशा ऑपरेटर की इच्छित स्थिति से मेल खाती है।
यदि कुबेरनेट्स प्रकट फ़ाइलों में वर्णित से विचलन का पता लगाता है, तो कुबेरनेट्स नियंत्रक इसे ठीक करता है।
जबकि कुबेरनेट्स द्वारा उपयोग की जाने वाली अवसंरचना लगातार बदलती रहती है, कुबेरनेट्स लगातार और स्वचालित रूप से परिवर्तनों के अनुकूल यह सुनिश्चित करता है कि यह इच्छित स्थिति से मेल खाता है।
