---
title: クラスター
status: Completed
category: コンセプト
tags: ["インフラストラクチャ", "基礎", "アーキテクチャ"]
---

クラスターは、共通の目的に向けて連携して働く[ノード](/ja/nodes/)と呼ばれるコンピューターやアプリケーションのグループです。
クラウドネイティブコンピューティングでは、この用語は通常[Kubernetes](/ja/kubernetes/)に適用されます。
これは、ノードがより密結合している特定の種類の[分散システム](/ja/distributed-systems/)として捉えることができます。

## 解決すべき問題はなんですか

単一のコンピューター上で動作するソフトウェアには、単一障害点があります。
もしそのコンピューターがクラッシュしたり、誰かが誤って電源ケーブルを抜いたりした場合、
ビジネス上重要なシステムが利用できなくなる可能性があります。
そのため、モダンなソフトウェアは一般的に[分散アプリケーション](/ja/distributed-apps/)として構築され、クラスターとしてまとめられます。

## どのように役に立つのでしょうか

クラスター化された分散アプリケーションは複数のマシン上で実行され、単一障害点がなくなります。
しかし、分散システムを構築することは非常に難しいです。
実際、分散システムはコンピューターサイエンスの中で一つの分野として扱われています。
グローバルなシステムの必要性と長い年月をかけた試行錯誤が、[クラウドネイティブ技術](/ja/cloud-native-tech/)と呼ばれる新たなタイプの技術スタックの開発につながりました。
これらの新しい技術は、分散システムの運用と作成を容易にするための構成要素となります。
