---
title: WebAssembly
status: Completed
category: コンセプト
tags: ["アプリケーション", "", ""]
---

WebAssembly(しばしばWasmと略される)は、C、C++、Rustなどの高級言語をコンパイルするための可搬性のあるターゲットとして設計されたバイナリ命令形式です。
これは、クライアントサイドおよびサーバーサイドのアプリケーションのためにウェブ上でのデプロイを可能にします。
WebAssemblyは、通常ウェブブラウザに統合されている仮想マシンで実行される低レベルのバイトコード形式です。
当初はウェブ用に開発されましたが、WebAssemblyはユニバーサルランタイムです。
IoTやエッジデバイスなどのウェブではない環境でも利用されています。

## 解決すべき問題はなんですか

長年にわたり、LAMP(Linux、Apache、MySQL、PHP)はウェブベースのアプリケーションのテンプレートでした。
その後、JavaScriptがフロントエンドアプリケーション開発の王者となり、Node.jsベースのアプリケーションが標準となりました。
ウェブに関する技術が進化するにつれて、インタープリタ型の言語が大いに支持されるようになりましたが、これらは通常コンパイル型の言語よりもパフォーマンスが劣ります。
技術の進歩にもかかわらず、JavaScriptは計算集約型のタスクを実行する際にパフォーマンスの制限に直面しています。
ランタイムでコンパイルされるインタープリタ型の言語は、異なる環境でコードが実行されるため、パフォーマンスや機能面での問題が発生することがよくあります。
一方でコンパイルされたバイナリは、正しくコンパイルされていれば、通常同じように実行されます。
しかし、歴史的に見てコンパイルされたバイナリは、ウェブ環境にはあまり適していませんでした。

## どのように役に立つのでしょうか

WebAssemblyは、ほぼネイティブの速度で実行できる低レベルのバイナリ形式を提供し、ウェブアプリケーションが複雑な計算を効率的に行えるようにします。
またWebAssemblyによって開発者はC、C++、Rustなどの既存のスキルを活用してウェブアプリケーションを構築することができます。
これにより、新しい可能性が開かれ、既存のコードベースやライブラリを再利用できるようになります。
さらにWebAssemblyモジュールは異なるブラウザ、オペレーティングシステム、デバイスで一貫して実行できるため、プラットフォーム特有のコードの必要性が減少します。
まとめると、WebAssemblyはパフォーマンスの制限、言語の制約、コードの可搬性、セキュリティに関する懸念、コードサイズ、および読み込み時間の問題に対処しウェブアプリケーション開発により堅牢で柔軟な環境を提供します。
