---
title: Роли контрибьюторов
toc_hide: true
status: Completed
menu:
  main:
    weight: 10
---

Привет! 👋 Спасибо за интерес к участию в проекте CNCF Cloud Native Glossary. 
Есть множество способов стать активным участником этого сообщества. 
Можно предлагать новые термины, помогать в локализации Глоссария на родной язык или поддерживать и направлять новичков. 
В этом документе описаны различные роли контрибьюторов в проекте, а также обязанности и привилегии, которые к ним прилагаются.

## 1. Контрибьюторы

Глоссарий открыт для всех. Любой может стать автором Глоссария, просто внеся свой вклад в проект. 
При этом все участники должны следовать [Кодексу поведения CNCF](https://github.com/cncf/foundation/blob/main/code-of-conduct-languages/ru.md).

Поучаствовать в проекте можно разными способами. Можно выступить в качестве:

- **Автора**: улучшать существующие термины или предлагать новые, 
- **Локализатора**: помогать перевести глоссарий на другой язык,
- **Помощника**: помогать другим на GitHub, в Slack или в других местах, где членам сообщества нужна поддержка,
- **Амбассадора**: помогать распространять информацию, объяснять сообществу, как и почему нужно вносить свой вклад. 

Участники могут выполнять сразу несколько ролей или сосредоточиться только на одной. 
**Все эти роли одинаково важны** и способствуют процветанию сообщества. 
Пожалуйста, обратитесь к разделам [Как внести свой вклад](/ru/contribute/) и [Руководство по стилю](/ru/style-guide/), чтобы подробнее узнать о том, как поучаствовать в проекте.

## 2. Апруверы

Апруверы дают обратную связь по PR'ам и одобряют их. Любой активный участник может стать апрувером (см. [Стать апрувером](#стать-апрувером)). 
В Глоссарии различают два вида апруверов: (1) апруверы для оригинальной английской версии глоссария и (2) апруверы для команд локализации.

Апруверы глоссария должны:

- Проверять PR на техническую точность; 
- Закреплять Issues за авторами и навешивать на них соответствующие лейблы;
- Давать контрибьюторам обратную связь и направлять их при необходимости;
- Вычитывать и редактировать материалы.

Если апрувер более не заинтересован в выполнении вышеперечисленных обязанностей или не может их выполнять, он должен сообщить об этом мейнтейнерам и сложить свои полномочия.

### Апруверы английской версии Глоссария

Различают три вида апруверов:

1) Апруверы с богатым техническим опытом.
2) Апруверы, умеющие хорошо и понятно писать.
3) Апруверы, владеющие обоими навыками.

========================================================

**Технические апруверы**: Люди с обширными техническими знаниями могут быть апруверами, не обладая хорошими навыками письма на английском языке. 
Однако, проверяя PR, они не должны ограничиваться его технической стороной — следует убедиться, что его проверит редактор.

**Редакторы**: Редакторы вычитывают термины и следят за тем, чтобы изложение велось простым языком в соответствии с Руководством по стилю. 
Если в описание термина вносились серьезные изменения, редактор должен попросить технического специалиста просмотреть его еще раз, чтобы убедиться, что смысл сохранился.

### Апруверы локализаций

У глоссария также есть апруверы локализаций, которые принадлежат к одной из команд локализации (команды, занимающейся переводом глоссария). 
Апруверы локализации занимаются проверкой локализованных терминов и могут мержить PR'ы в соответствующую ветку локализации. 
Любой апрувер локализации также может быть апрувером для английской версии глоссария, если соответствует требованиям. 

### Стать апрувером

Кандидаты в апруверы должны иметь опыт подачи качественных PR'ов и помощи другим в приведении их PR'ов в состояние, пригодное для слияния. 
Если позволяет часовой пояс, они также должны регулярно посещать встречи [Рабочей группы по глоссарию](https://www.cncf.io/calendar/).

Чтобы стать апрувером, прежде всего расскажите о своем желании мейнтейнерам.
Они попросят вас продемонстрировать вышеуказанные навыки, внося PR'ы, делая рецензии и выполняя другие подобные задачи под их руководством. 
Через некоторое время мейнтейнеры решат, давать ли вам статус апрувера. 
Решение будет основано на показанном вами уровне мастерства и отзывчивости.

## 3. Мейнтейнеры

Мейнтейнеры — это апруверы, которые также могут мержить PR'ы. Любой может стать мейнтейнером глоссария (см. [Стать мейнтейнером](#стать-мейнтейнером)).
К мейнтейнерам предъявляются определенные требования, в том числе:

- быть активным и отзывчивым апрувером (см. выше);
- следить за репозиторием, конфигурацией сайта, разрешениями, шаблонами Issue, рабочим процессом на GitHub и т.д.;
- следить за Slack-каналами Глоссария и помогать по мере возможности;
- регулярно посещать собрания [Рабочей группы по глоссарию](https://www.cncf.io/calendar/) (если позволяет часовой пояс).

Если мейнтейнер более не заинтересован в выполнении перечисленных выше обязанностей или не может их выполнять, ему следует перевести себя в эмерит-статус (почетного участника).

### Стать мейнтейнером

Мейнтейнеры должны проявить себя как успешные апруверы, а также как авторы ряда качественных PR'ов. 
Если позволяет часовой пояс, они должны регулярно посещать встречи рабочей группы по глоссарию.

Прежде всего расскажите действующим мейнтейнерам о своем желании присоединиться к ним.
Действующие мейнтейнеры попросят вас продемонстрировать вышеупомянутую квалификацию, внося PR'ы, делая рецензии и выполняя другие подобные задачи под их руководством. 
По итогам совместной работы они решат, готовы ли вы стать мейнтейнером. 
Их решение будет основано на проявленном уровне мастерства и отзывчивости.

## 4. Менеджеры сообщества

Менеджеры сообщества создают гостеприимное и вовлеченное сообщество. Любой участник сообщества может стать его менеджером. От них требуется:

- приветствовать новых участников и обеспечивать их необходимой информацией;
- помогать отвечать на вопросы сообщества или находить тех, кто может помочь;
- модерировать дискуссии в Slack.

### Стать менеджером сообщества

Любой желающий может стать менеджером сообщества Глоссария. 
Менеджеры сообщества должны хорошо разбираться в процессе локализации, а также любить общаться и помогать другим. 
Прежде всего расскажите действующим мейнтейнерам о своем желании стать менеджером. 
После онбординга/пробного периода мейнтейнеры примут решение о предоставлении статуса менеджера сообщества, основываясь на результатах работы.

## Принудительное удаление

Принудительное удаление участника происходит при невыполнении обязанностей и требований,  
а также в случае длительных периодов бездействия и/или нарушении кодекса поведения. 
Принудительное удаление важно, поскольку защищает сообщество и его результаты, а также открывает возможности для новых контрибьюторов.

## Снятие с себя полномочий/Почетное участие

При снижении степени вовлеченности в проект контрибьюторы могут рассмотреть возможность снятия с себя части полномочий (с переходом на менее ответственную роль) или перехода в статус эмерита (полный отказ от участия в проекте).

## Возвращение к роли

Если у участника появляется возможность вернуться к прежней роли, лидеры проекта могут организовать и рассмотреть такую возможность.
