---
title: Дата-центр
status: Completed
category: Technology
tags: ["infrastructure", "fundamental", ""]
---

Дата-центр (центр хранения и обработки данных, ЦОД/ЦХОД) — специализированное здание или помещение, предназначенное для размещения вычислительной техники, чаще всего серверов.
Обычно дата-центры подключаются к высокоскоростным линиям связи с доступом к сети Интернет, особенно если они ориентированы на [облачные вычисления](/ru/cloud-computing/).
Здания, в которых размещаются дата-центры, включают необходимую инфраструктуру для поддержания работоспособности установленного в них оборудования, в том числе электрогенераторы, обеспечивающие питание во время перебоев, и мощные системы вентиляции и кондиционирования, которые охлаждают выделяющие тепло компьютеры.

## Какую проблему решает

До широкого распространения дата-центров в конце 1990-х годов компьютеры в основном использовались для решения конкретных задач или обслуживания отдельных пользователей.
Поскольку ресурсы отдельного компьютера (объем жёсткого диска, размер оперативной памяти, частота и количество ядер процессора) лимитированы, ограничены и его возможности 
по запуску тех или иных приложений.
То есть до появления дата-центров масштаб приложения ограничивался мощностью компьютера, на котором оно работало.
В то же время для запуска крупных приложений — например, серверной части (не клиента в браузере) Gmail или Netflix, — требуются вычислительные мощности, 
значительно превышающие мощности одного компьютера.
Для решения указанной проблемы и предназначены дата-центры.

## Как именно решает проблему

Из нескольких серверов создаётся [распределенная система](/distributed-systems/), функционирующая как «суперкомпьютер».
Суммарная производительность совокупности устройств позволяет запускать гораздо более масштабные приложения 
и решать более сложные вычислительные задачи.
Работа большинства приложений, используемых нами ежедневно, обеспечивается именно дата-центрами.

[Публичные облака](/ru/cloud-computing/) — дата-центры, предоставляющие вычислительные ресурсы пользователям в аренду.
В последние годы наблюдается переход от корпоративных дата-центров к вычислительным мощностям в облаке.
