---
title: Распределенная система
status: Completed
category: concept
tags: ["architecture", "", ""]
---

Распределенная система — это набор автономных вычислительных элементов, которые соединены по сети и воспринимаются пользователями как единая целостная система. 
Эти компоненты, обычно называемые [узлами](/nodes/), могут быть аппаратными устройствами (например, компьютеры, мобильные телефоны) или программными процессами. 
Узлы запрограммированы на достижение общей цели и взаимодействуют, обмениваясь сообщениями по сети. 

## Какую проблему решает

Многие современные приложения настолько крупные, что для их работы потребовались бы суперкомпьютеры. 
Вспомните Gmail или Netflix. Ни у одного компьютера не хватит мощности, чтобы разместить на нем целиком такое приложение. 
А вот если соединить множество компьютеров, вычислительная мощность становится практически безграничной. 
Многие приложения, на которые мы сегодня полагаемся, не могли бы существовать без распределенных вычислений. 

Исторически системы [масштабировались](/scalability/) вертикально.
Это означает, что к отдельной машине добавляется дополнительный процессор или память. 
Вертикальное масштабирование занимает много времени, быстро достигает предела и приводит к простою. 

## Как именно решает проблему

Распределенная система может [масштабироваться горизонтально](/horizontal-scaling/): например, при необходимости в систему добавляются дополнительные узлы.
Этот процесс можно автоматизировать — тогда система сможет справляться с внезапным ростом нагрузки или потребления ресурсов.

Нераспределенная система подвержена риску сбоев, так как при поломке одной машины выходит из строя вся система. 
Распределенную систему можно спроектировать так, чтобы даже при поломке нескольких машин она продолжала работать с тем же результатом.
