---
title: Инфраструктура как услуга (IaaS)
status: Completed
category: Technology
tags: ["infrastructure", "", ""]
---

Инфраструктура как услуга (Infrastructure as a service, IaaS) — это модель [облачных вычислений](/ru/cloud-computing/), при которой 
[физические](/ru/bare-metal-machine/) или [виртуализированные](/virtualization/) вычислительные ресурсы,
хранилище и сетевой доступ предоставляются по требованию и оплачиваются по факту потребления. 
Облачные провайдеры владеют и управляют аппаратным и программным обеспечением, 
а потребители пользуются им в рамках открытых, закрытых или гибридных облачных развертываний.

## Какую проблему решает

В классических локальных (on-premises) окружениях организации часто сталкиваются с проблемой эффективного использования вычислительных ресурсов. 
Центры обработки данных приходится строить с учетом потенциальной пиковой нагрузки, даже если она бывает лишь в 1 % случаев. 
Все остальное время эти вычислительные ресурсы простаивают. 
С другой стороны, если рабочая нагрузка превышает прогнозируемый спрос, 
возникает острая нехватка вычислительных ресурсов. 
Подобные проблемы в масштабируемости приводят к увеличению затрат и неэффективному использованию ресурсов.

## Как именно решает проблему

Благодаря IaaS организации могут не тратить средства на покупку и обслуживание вычислительных мощностей для своих приложений. 
Инфраструктура, предоставляемая по требованию, позволяет им арендовать вычислительные ресурсы по мере необходимости,  
экономя на [капитальных расходах](https://ru.wikipedia.org/wiki/%D0%9A%D0%B0%D0%BF%D0%B8%D1%82%D0%B0%D0%BB%D1%8C%D0%BD%D1%8B%D0%B5_%D1%80%D0%B0%D1%81%D1%85%D0%BE%D0%B4%D1%8B), 
и при этом обеспечивает гибкость, связанную с возможностью вертикального масштабирования в обе стороны.

IaaS снижает первоначальные затраты на эксперименты или тестирование нового приложения и 
предоставляет возможности для быстрого развертывания инфраструктуры. 
Облачные провайдеры отлично подходят для создания сред разработки и тестирования, 
которые необходимы разработчикам для экспериментирования и внедрения инноваций.
