---
title: Монолитные приложения
status: Completed
category: concept
tags: ["architecture", "fundamental", ""]
---

В монолитном приложении все его компоненты объединены в единую развертываемую программу.
Зачастую это самый простой и понятый путь на начальном этапе разработки приложения.
Однако по мере усложнения приложения поддерживать монолит становится труднее. 
С увеличением числа разработчиков, работающих над одной и той же кодовой базой, возрастает вероятность 
конфликтующих изменений, а также увеличивается потребность в коммуникациях.

## Какую проблему решает

Разделение приложения на [микросервисы](/microservices-architecture/) увеличивает операционные издержки, связанные с
тестированием, развертыванием и последующей эксплуатацией.
На ранних этапах жизненного цикла продукта разумно воздержаться от такого усложнения, придерживаясь монолитного подхода до тех пор, 
пока продукт не будет признан успешным. 

## Как именно решает проблему

Хорошо спроектированный монолит соответствует принципам бережливого производства, 
являясь самым простым способом разработки и запуска приложения. 
Когда монолитное приложение докажет свою полезность для бизнеса, его можно будет разбить на микросервисы. 
Разработка микросервисного приложения еще до того, как станет ясно, что оно приносит реальную пользу, может превратиться
в бессмысленную трату ценных инженерных ресурсов.
Если приложение окажется невостребованным, эти дополнительные усилия разработчиков будут потрачены впустую. 
