---
title: Протокол взаимной защиты транспортного уровня (mTLS)
status: Completed
category: Concept
tags: ["security", "networking", ""]
---

Протокол взаимной защиты транспортного уровня — это метод, используемый для аутентификации и шифрования сообщений, передаваемых между двумя [сервисами](/service/). 
Протокол взаимной защиты транспортного уровня — это расширение стандартного [Протокола защиты транспортного уровня](/transport-layer-security/) (TLS), 
но вместо проверки подлинности только одной стороны осуществляется валидация обеих.

## Какую проблему решает

[Микросервисы](/microservices-architecture/) взаимодействуют по сети, но этот канал коммуникации может быть взломан аналогично тому, как это происходит с Wi-Fi.
mTLS гарантирует, что неавторизованная сторона не сможет прослушивать канал коммуникации и выполнять несанкционированные действия. 

## Как именно решает проблему

mTLS гарантирует безопасность и аутентичность для трафика в обоих направлениях между клиентом и сервером, 
обеспечивая дополнительный уровень безопасности для пользователей, осуществляющих вход в сеть или приложение.
Он также проверяет соединения с клиентскими устройствами, которые не требуют входа в систему, например, относящимся к категории Интернета вещей (IoT).
mTLS может предотвратить атаки посредника (on-path), спуфинг-атаки, атаки с подстановкой учетных данных, атаки путем полного перебора (brute force) и другие. 
