---
title: Узлы
status: Completed
category: Concept
tags: ["infrastructure", "fundamental", ""]
---

Узел (нода) — это вычислительное устройство, которое вместе с другими вычислительными устройствами (узлами) работает над выполнением общей задачи. 
Например, ваш ноутбук, модем и принтер общаются друг с другом и взаимодействуют по сети Wi-Fi. 
Каждое из этих устройств является отдельным узлом. 
В сфере [облачных вычислений](/ru/cloud-computing/) узлом может быть физический компьютер, виртуальный компьютер ([виртуальная машина/ВМ](/virtual-machine/)) или даже [контейнер](/ru/container/).

## Какую проблему решает

Приложение может работать на единственной машине (и многие из них так и делают), но это сопряжено с рисками. 
А именно, отказ базовой системы нарушит работу приложения. 
Чтобы решить эту проблему, разработчики начали создавать [распределенные приложения](/ru/distributed-apps/), в которых каждый процесс выполняется на отдельном узле. 
Таким образом, приложения или процессы работают на узлах как часть группы, образуя [кластер](/ru/cluster/)/группу узлов, которые работают вместе для достижения общей цели.

## Как именно решает проблему

Узел выступает как самостоятельное вычислительное устройство (с памятью, процессором, сетевым интерфейсом), которое можно включить в кластер. 
В [облачных](/ru/cloud-native-tech/) платформах или приложениях узел — это рабочая единица. 
В идеале отдельные узлы недифференцированы, то есть любой узел определенного типа неотличим от любого другого узла того же типа.
