---
title: Thang Bậc Cộng Tác Viên
toc_hide: true
status: Completed
menu:
  main:
    weight: 10
---

Xin chào! 👋 Cảm ơn bạn đã quan tâm đến việc đóng góp cho dự án Từ Điển Thuật Ngữ Cloud Native của CNCF.
Cho dù bạn đóng góp thuật ngữ mới, giúp bản địa hóa Từ điển Thuật Ngữ sang ngôn ngữ mẹ đẻ của mình,
hay muốn giúp người khác bắt đầu, có nhiều cách để trở thành thành viên tích cực của cộng đồng này.
Tài liệu này phác thảo các vai trò cộng tác viên khác nhau trong dự án cùng với trách nhiệm và đặc quyền đi kèm với chúng.

## 1. Cộng tác viên

Từ điển dành cho tất cả mọi người. Bất kỳ ai cũng có thể trở thành cộng tác viên của Từ điển đơn giản bằng cách đóng góp cho dự án.
Tất cả cộng tác viên đều phải tuân theo [Quy tắc Ứng xử của CNCF](https://github.com/cncf/foundation/blob/main/code-of-conduct.md).

Có nhiều cách để bạn có thể đóng góp cho dự án, bao gồm:

- **Cộng tác viên nội dung**: những người cải thiện các thuật ngữ hiện có hoặc đóng góp thuật ngữ mới,
- **Cộng tác viên bản địa hóa**: những người giúp dịch từ điển sang ngôn ngữ khác,
- **Người hỗ trợ**: những người giúp đỡ người khác trên GitHub, Slack, hoặc bất cứ nơi nào thành viên cộng đồng cần hỗ trợ,
- **Đại sứ**: những người giúp lan tỏa thông điệp, hướng dẫn cộng đồng về cách đóng góp và lý do nên đóng góp.

Cộng tác viên có thể đảm nhận nhiều vai trò hoặc chỉ tập trung vào một lĩnh vực.
**Tất cả những đóng góp này đều quan trọng như nhau** và giúp xây dựng một cộng đồng phát triển mạnh mẽ.
Vui lòng tham khảo [Cách Đóng góp](/contribute/) và [Quy tắc Trình bày](/style-guide/) cho các đóng góp về nội dung và bản địa hóa.

## 2. Người phê duyệt

Người phê duyệt cung cấp phản hồi về các PR và phê duyệt chúng. Bất kỳ cộng tác viên tích cực nào cũng có thể trở thành người phê duyệt (xem [Trở thành người phê duyệt](#becoming-an-approver)).
Từ điển phân biệt hai vai trò người phê duyệt:

1. Người phê duyệt cho Từ điển tiếng Anh và
2. Người phê duyệt cho các nhóm bản địa hóa.

Người phê duyệt Từ điển được kỳ vọng sẽ:

- Đánh giá PR về tính chính xác kỹ thuật,
- Gán issue cho cộng tác viên và gắn nhãn phù hợp,
- Cung cấp phản hồi cho cộng tác viên và hướng dẫn khi cần thiết,
- Rà soát và biên tập các nội dung được gửi đến.

Nếu người phê duyệt không còn quan tâm hoặc không thể thực hiện các nhiệm vụ trên, họ nên thông báo cho các maintainer và rút lui.

### Người phê duyệt Từ điển tiếng Anh

Có ba vai trò người phê duyệt Từ điển thuật ngữ tiếng Anh:

1) Người phê duyệt có nền tảng kỹ thuật vững chắc,
2) Người phê duyệt có kỹ năng viết tốt,
3) Người phê duyệt thành thạo cả hai lĩnh vực.

**Người phê duyệt kỹ thuật**: Những người có nền tảng kỹ thuật vững chắc có thể là người phê duyệt mà không cần kỹ năng viết tiếng Anh tốt.
Tuy nhiên, nếu họ phê duyệt PR về mặt kỹ thuật, họ phải đảm bảo nó được đánh giá bởi một người phê duyệt (biên tập).

**Biên tập viên**: Biên tập viên đọc và đảm bảo các thuật ngữ được giải thích bằng ngôn ngữ đơn giản theo Quy tắc Trình bày.
Nếu một thuật ngữ được chỉnh sửa nhiều, biên tập viên phải yêu cầu người phê duyệt kỹ thuật xem xét lại để đảm bảo ý nghĩa không bị thay đổi.

### Người phê duyệt bản địa hóa

Từ điển cũng có người phê duyệt bản địa hóa. Đây là những người phê duyệt cho một trong các nhóm bản địa hóa (các nhóm dịch từ điển).
Người phê duyệt bản địa hóa chỉ được phép thực hiện nhiệm vụ phê duyệt cho nhóm của họ và có khả năng hợp nhất PR vào nhánh phát triển riêng của họ.
Bất kỳ người phê duyệt bản địa hóa nào cũng có thể trở thành người phê duyệt cho Từ điển tiếng Anh nếu họ đáp ứng các yêu cầu.

### Trở thành người phê duyệt {#becoming-an-approver}

Ứng viên người phê duyệt cần có thành tích đã được chứng minh về việc gửi PR chất lượng cao và giúp người khác đưa PR của họ vào trạng thái có thể hợp nhất.

Để trở thành người phê duyệt, hãy bắt đầu bằng việc bày tỏ sự quan tâm với các maintainer hiện tại.
Các maintainer hiện tại sau đó sẽ yêu cầu bạn chứng minh các năng lực trên bằng cách đóng góp PR, thực hiện đánh giá và làm các nhiệm vụ khác dưới sự hướng dẫn của họ.
Sau một thời gian làm việc cùng nhau, các maintainer sẽ quyết định có cấp cho bạn trạng thái người phê duyệt hay không.
Quyết định này sẽ dựa trên mức độ thành thạo và khả năng phản hồi mà bạn đã thể hiện.

## 3. Maintainer

Maintainer là những người phê duyệt cũng có thể hợp nhất PR. Bất kỳ ai cũng có thể trở thành maintainer của Từ điển (xem [Trở thành maintainer](#becoming-a-maintainer)).
Có một số kỳ vọng dành cho maintainer, bao gồm:

- Là một người phê duyệt tích cực và phản hồi nhanh (xem ở trên),
- Giúp duy trì kho lưu trữ, bao gồm cấu hình trang web, quyền hạn, mẫu issue, quy trình GitHub, và các việc khác,
- Theo dõi các kênh Slack của Từ điển và hỗ trợ khi có thể,

### Trở thành Maintainer {#becoming-a-maintainer}

Maintainer cần có thành tích đã được chứng minh về việc là người phê duyệt thành công và gửi PR chất lượng cao.

Để trở thành maintainer, hãy bắt đầu bằng việc bày tỏ sự quan tâm với các maintainer hiện tại.
Các maintainer hiện tại sau đó sẽ yêu cầu bạn chứng minh các năng lực trên bằng cách đóng góp PR, thực hiện đánh giá và làm các nhiệm vụ khác dưới sự hướng dẫn của họ.
Sau một thời gian làm việc cùng nhau, các maintainer sẽ quyết định có cấp cho bạn trạng thái maintainer hay không.
Quyết định này sẽ dựa trên mức độ thành thạo và khả năng phản hồi mà bạn đã thể hiện.

## Loại bỏ bắt buộc

Việc loại bỏ bắt buộc một cộng tác viên xảy ra khi trách nhiệm và yêu cầu không được đáp ứng.
Điều này có thể bao gồm các hành vi lặp lại của việc không hoạt động, thời gian không hoạt động kéo dài, và/hoặc vi phạm quy tắc ứng xử.
Quy trình này quan trọng vì nó bảo vệ cộng đồng và các sản phẩm của họ đồng thời tạo cơ hội cho các cộng tác viên mới tham gia.

Thời gian ân hạn sẽ từ 15-30 ngày, trong thời gian đó các maintainer sẽ tích cực cố gắng kích hoạt lại một cộng tác viên không phản hồi. Trong trường hợp của nhóm bản địa hóa, nếu một người phê duyệt trở nên không phản hồi dẫn đến thiếu người phê duyệt cần thiết, các cộng tác viên bản địa hóa sẽ được yêu cầu đứng ra trở thành người phê duyệt.

## Quy trình rút lui/Danh dự

Nếu và khi mức độ cam kết của cộng tác viên thay đổi, họ có thể cân nhắc việc rút lui (di chuyển xuống thang bậc cộng tác viên)
hoặc chuyển sang trạng thái danh dự (hoàn toàn rời khỏi dự án).

## Quay trở lại vai trò

Nếu và khi ai đó có thể quay trở lại vai trò cộng tác viên trước đây, các maintainer có thể sắp xếp và xem xét điều này.
