---
title: "云原生词汇表"
status: Completed
---

# 云原生词汇表

云原生领域以其复杂性而闻名，云原生词汇表的目的是在不需要任何先决技术知识的情况下，
以通俗易懂的语言阐释云原生领域概念，不仅适用于技术人员，也适用于业务人员。
为了实现这一目标，我们专注于简化。例如，使用不带行话的简单语言，
使用任何使用技术的人都能理解的示例，省略不必要的细节。
该词汇表是由 CNCF 商业价值小组委员会 (BVS, Business Value Subcommittee) 
领导的一个项目。

<p><img class="mt-3" src="/images/homepage/kubecon.jpg" alt="People watching a Kubecon presentation"></p>

## 社区贡献

我们欢迎所有人对本词汇表提出修改、添加和改进建议。我们采用了 CNCF 所管理的社区驱动流程来开发和改进这个共享词典。
该词汇表提供了一个厂商中立的平台，用于管理云原生技术的共享词汇表。欢迎所有参与者在遵守本项目的目的和章程的前提下作出贡献。

任何想要贡献的人都可以提交 GitHub issue 或 创建 PR。欲了解更多信息，请查看 [如何贡献](/zh-cn/contribute/) 和遵循
[样式指南](/zh-cn/style-guide/)，并加入 CNCF Slack 中的 [#glossary](https://cloud-native.slack.com/archives/C02TX20MQBB) 频道。
这里还有 [#glossary-localizations](https://cloud-native.slack.com/archives/C02N2RGFXDF) 频道，供想要将 glossary 翻译成母语的人使用。

## 致谢

云原生词汇表可从 CNCF 营销委员会 (CNCF Marketing Committee) (商业价值小组委员会) 发起,
包括 [Catherine Paganini](https://www.linkedin.com/in/catherinepaganini/en/), [Chris Aniszczyk](https://www.linkedin.com/in/caniszczyk/),
[Daniel Jones](https://www.linkedin.com/in/danieljoneseb/?originalSubdomain=uk),
[Jason Morgan](https://www.linkedin.com/in/jasonmorgan2/),
[Katelin Ramer](https://www.linkedin.com/in/katelinramer/),
[Mike Foster](https://www.linkedin.com/in/mfosterche/?originalSubdomain=ca), 以及更多的贡献者。
如想获得完整的贡献者名单, 请跳转至 [GitHub Pages 页](https://github.com/cncf/glossary/graphs/contributors).

这个词汇表由 [Seokho Son](https://www.linkedin.com/in/seokho-son/),
[Noah Ispas](https://www.linkedin.com/in/noah-ispas-0665b42a/),
[Jihoon Seo](https://www.linkedin.com/in/jihoon-seo/),
[Nate W.](https://www.linkedin.com/in/nate-double-u/),
和 [Jorge Castro](https://www.linkedin.com/in/jorge-castro2112/) 维护.

[Catherine Paganini](https://www.linkedin.com/in/catherinepaganini/en/),和
[Jason Morgan](https://www.linkedin.com/in/jasonmorgan2/) 是名誉维护者，
我们对他们多年来的宝贵贡献表示深深的感谢。

中文版的云原生词汇表由 [Chester Cheung](https://github.com/hanyuancheung),
[Brian Yan](https://github.com/Rocksnake),
[Jacob953 Yu](https://github.com/Jacob953),
[Submarinee](https://github.com/Submarinee) 和其他贡献者维护。

## 协议

所有代码贡献都在 Apache 2.0 许可下。文档在 CC BY 4.0 下分发。
