---
title: 边缘计算
status: Completed
category: 技术
---

## 是什么

边缘计算是一种[分布式系统](/zh-cn/distributed-systems/)方法，它将一些存储和计算容量从主数据中心转移到其他数据源。
采集的数据在本地（例如在工厂车间、商店或整个城市）进行计算，而不是发送到集中的数据中心进行处理和分析。
这些本地处理单元或设备代表系统的边缘，而数据中心是这些边缘的中心。
边缘计算的输出被发送回主数据中心进一步处理。
边缘计算的示例包括腕表等挂件或分析交通流量的计算机。

## 解决的问题

在过去十年中，我们看到了越来越多的边缘设备（例如手机、智能手表或传感器）。
在某些情况下，实时数据处理不再是可有可无，而是至关重要。想一想自动驾驶的汽车。
现在想象一下，来自汽车传感器的数据必须先传输到数据中心进行处理，然后再发送回车辆让它能够做出合适的反应。
固有的网络延迟可能是致命的。
虽然这是一个极端的例子，但大多数用户都不想使用无法提供即时反馈的智能设备。

## 如何帮助

如上所述，要使边缘设备有用，这些边缘设备必须至少在本地进行部分处理和分析，才能向用户提供近乎实时的反馈。
这是通过将一些存储和处理资源从数据中心转移到生成数据的位置（边缘设备）来实现的。
已处理和未处理的数据随后被发送到数据中心进一步处理和存储。
简而言之，效率和速度是边缘计算的主要驱动力。
