---
title: 多租户模式
status: Completed
category: 属性
---

## 是什么

多租户模式指的是通过单次软件安装为多个租户提供服务。
租户是一个用户、应用程序或一组用户/应用程序，租户们使用各自的数据集来操控同一个软件。
这些租户不共享数据（除非软件的所有者明确授权），甚至可能未意识到彼此的存在。

租户可以是小到只有一个登录 ID 的独立用户（就像单机版软件），
也可以是大到拥有数千个登录 ID 的整个公司，其中每个登录 ID 有自己的权限但又以多种方式相互关联。
多租户软件示例包括 Google Mail、Google Docs、Microsoft Office 365、Salesforce CRM 和 Dropbox，
以及更多归类为具有完全或部分多租户能力的软件。

## 解决的问题

如果没有多租户模式，每个租户都需要专门安装一次软件。
这会增加资源利用和维护的工作量，最终会加剧软件成本。

## 如何帮助

多租户软件为每个租户提供一个隔离（工作数据、设置、凭证列表等）的环境，同时为多个租户提供服务。
从租户的角度来看，每个租户都有其专用的软件安装实例，尽管实际上他们是在共享同一个软件。
具体实现的方式为：在服务器上运行一个软件，然后允许租户通过网络接口和/或
[API](/zh-cn/application-programming-interface/) 连接到该软件
（另请参阅[客户端-服务器架构](/zh-cn/client-server-architecture/)）。
使用多租户软件时，各个租户可以共享同一个安装实例，彼此毫无影响，且能以预先定义和受控的方式使用该软件。
软件提供商由此达成的资源节省也可以转而让租户受益，显著降低每个用户的软件成本（想想基于 Web 的电子邮件或文档编辑器）。

## 相关词汇

多租户模式并不等同于 [SaaS](/zh-cn/software-as-a-service/)，尽管对 SaaS 而言多租户很常见，甚至将多租户作为其核心优势之一。
