---
title: Pod
status: Completed
category: 概念
tags: ["基础设施", "基本原理", ""]
---

在 [Kubernetes](/zh-cn/kubernetes/) 环境中，Pod 是最基本的可部署单元。
它代表了部署和管理容器化应用程序的基本构建块。
每个 Pod 包含一个应用程序实例，并可以容纳一个或多个[容器](/zh-cn/container/)。
Kubernetes 可以将 Pod 作为更大对象的一部分进行管理，
还可以根据需要[垂直扩缩](/zh-cn/vertical-scaling/)或[水平扩缩](/zh-cn/horizontal-scaling/) Pod。

## 解决的问题

虽然容器通常作为独立单元运行和控制特定工作负载，但在某些情况下，容器需要以紧密耦合的方式进行交互和控制。

如果这些密切相关的容器每个都被单独管理，就会产生冗余的管理任务。
例如，运维人员将不得不重复确定相关容器的调度位置，以确保它们保持在一起。
此外，尽管这些相关容器的生命期需要同步，但这些容器只能单独管理。

## 如何帮助

Pod 将密切相关的容器捆绑成一个单元，大大简化了容器操作。
例如，辅助容器通常与主容器一起使用，以实现附加功能或设置全局配置。
辅助容器包括将一些基本设置注入并应用于主容器的**边车**容器，
这种容器用于处理主容器的网络流量路由（参阅[服务网格](/zh-cn/service-mesh/)），
还有一些会收集日志的辅助容器。

你可以在 Pod 级别定义内存和 CPU 资源，允许内部容器以灵活的方式共享资源，也可以为每个容器单独定义要使用的资源。
